Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Class UintMap

    java.lang.Object
      org.mozilla.javascript.UintMap

All Implemented Interfaces:
  java.io.Serializable

    public class UintMap

extends java.lang.Object
implements java.io.Serializable

Map to associate non-negative integers to objects or integers. The map does not synchronize any of its operation, so either use it from a single thread or do own synchronization or perform all mutation operations on one thread before passing the map to others.

Author:
  Igor Bukanov
See Also:
  Serialized Form

Constructor Summary
`UintMap()`
`UintMap(int initialCapacity)`

Method Summary
`void` | `clear()`
`int` | `getExistingInt(int key)` Get integer value assigned with key.
`int` | `getInt(int key, int defaultValue)` Get integer value assigned with key.
`int[]` | `getKeys()` Return array of present keys
`java.lang.Object` | `getObject(int key)` Get object value assigned with key.
`boolean` | `has(int key)`
`boolean` | `isEmpty()`
`void` | `put(int key, int value)` Set int value of the key.
`void` | `put(int key, java.lang.Object value)` Set object value of the key.
`void` | `remove(int key)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UintMap

    public UintMap()

### UintMap

    public UintMap(int initialCapacity)

Method Detail

### isEmpty

    public boolean isEmpty()

### size

    public int size()

### has

    public boolean has(int key)

### getObject

    public java.lang.Object getObject(int key)

  Get object value assigned with key.

  Returns:
    key object value or null if key is absent

### getInt

    public int getInt(int key,
                      int defaultValue)

  Get integer value assigned with key.

  Returns:
    key integer value or defaultValue if key is absent

### getExistingInt

    public int getExistingInt(int key)

  Get integer value assigned with key.

  Returns:
    key integer value or defaultValue if key does not exist or does not have int value
  Throws:
    `java.lang.RuntimeException` - if key does not exist

### put

    public void put(int key,
                    java.lang.Object value)

  Set object value of the key. If key does not exist, also set its int value to 0.

### put

    public void put(int key,
                    int value)

  Set int value of the key. If key does not exist, also set its object value to null.

### remove

    public void remove(int key)

### clear

    public void clear()

### getKeys

    public int[] getKeys()

  Return array of present keys

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD